<html>
<head>
<title>Ogre::TextureUnitTranslator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TextureUnitTranslator Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TextureUnitTranslator" --><!-- doxytag: inherits="Ogre::ScriptTranslator" -->
<p><code>#include &lt;<a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::TextureUnitTranslator:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1TextureUnitTranslator__inherit__graph.gif" border="0" usemap="#Ogre_1_1TextureUnitTranslator_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1TextureUnitTranslator_inherit__map" id="Ogre_1_1TextureUnitTranslator_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources." alt="" coords="23,83,172,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="27,5,168,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1TextureUnitTranslator-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureUnitTranslator.html#a4c62e9168358685818c6d354bb06fae7">TextureUnitTranslator</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureUnitTranslator.html#a7417ef83a35a52457ae7d2f2db07967a">translate</a> (<a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *compiler, const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This function translates the given node into <a class="el" href="namespaceOgre.html">Ogre</a> resource(s).  <a href="#a7417ef83a35a52457ae7d2f2db07967a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#ae47299810046b1249fec99bff9965270">processNode</a> (<a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *compiler, const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a new translator from the factories and uses it to process the give node.  <a href="#ae47299810046b1249fec99bff9965270"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
AbstractNodeList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#aec9146bcbd48d445359654b21696e82c">getNodeAt</a> (const <a class="el" href="group__General.html#gae6612ea0b05ddf514b5478a6c0c0cb09">AbstractNodeList</a> &amp;nodes, int index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the node iterator at the given index.  <a href="#aec9146bcbd48d445359654b21696e82c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a5f2c5e5767418e36bd32df673e59fa25">getBoolean</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, bool *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a boolean and returns true if successful.  <a href="#a5f2c5e5767418e36bd32df673e59fa25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#ae287a72330c6b167880ec9d6b8b8b27f">getString</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a string and returns true if successful.  <a href="#ae287a72330c6b167880ec9d6b8b8b27f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a6895f912f2300d18805f83e6132e413f">getReal</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a Real and returns true if successful.  <a href="#a6895f912f2300d18805f83e6132e413f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a752b65312b7bac80467cdbd692f77ad2">getFloat</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, float *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a float and returns true if successful.  <a href="#a752b65312b7bac80467cdbd692f77ad2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#aa138393408a4e3608133238e5de593f3">getInt</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, int *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to an integer and returns true if successful.  <a href="#aa138393408a4e3608133238e5de593f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a42289a7095cc090b5eb8796276ab85f1">getUInt</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *result)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to an unsigned integer and returns true if successful.  <a href="#a42289a7095cc090b5eb8796276ab85f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#afb9903db920fbed2a27d86f664501c84">getColour</a> (AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *result, int maxEntries=4)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the range of nodes to a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> and returns true if successful.  <a href="#afb9903db920fbed2a27d86f664501c84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a7f7e27d5c61bcc62a8568fd94cf694e3">getSceneBlendFactor</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> *sbf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a SceneBlendFactor enum and returns true if successful.  <a href="#a7f7e27d5c61bcc62a8568fd94cf694e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a21fe87fa8b1fedefc9f29759dfb90f8a">getCompareFunction</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a CompareFunction enum and returns true if successful.  <a href="#a21fe87fa8b1fedefc9f29759dfb90f8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a371c948901e609e013e086bb0882f55e">getMatrix4</a> (AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *m)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the range of nodes to a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> and returns true if successful.  <a href="#a371c948901e609e013e086bb0882f55e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a1d3d88e1a106c5f1ab1c23239cf8d7a6">getInts</a> (AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, int *vals, int count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the range of nodes to an array of ints and returns true if successful.  <a href="#a1d3d88e1a106c5f1ab1c23239cf8d7a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#a253ba6161e3930bf22055ed0d003509b">getFloats</a> (AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, float *vals, int count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the range of nodes to an array of floats and returns true if successful.  <a href="#a253ba6161e3930bf22055ed0d003509b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#aef5eaaacc842da6a899290cfd75ea5b2">getStencilOp</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node, <a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> *op)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a StencilOperation enum and returns true if successful.  <a href="#aef5eaaacc842da6a899290cfd75ea5b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptTranslator.html#ac861d8b392942f6861d0fd0f01accfe1">getConstantType</a> (AbstractNodeList::const_iterator i, <a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> *op)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts the node to a GpuConstantType enum and returns true if successful.  <a href="#ac861d8b392942f6861d0fd0f01accfe1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureUnitTranslator.html#ab34a8b49aec5765a31ce6276b01f25cb">mUnit</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00151">151</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4c62e9168358685818c6d354bb06fae7"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::TextureUnitTranslator" ref="a4c62e9168358685818c6d354bb06fae7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitTranslator.html#a4c62e9168358685818c6d354bb06fae7">Ogre::TextureUnitTranslator::TextureUnitTranslator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5f2c5e5767418e36bd32df673e59fa25"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getBoolean" ref="a5f2c5e5767418e36bd32df673e59fa25" args="(const AbstractNodePtr &amp;node, bool *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a5f2c5e5767418e36bd32df673e59fa25">Ogre::ScriptTranslator::getBoolean</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a boolean and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="afb9903db920fbed2a27d86f664501c84"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getColour" ref="afb9903db920fbed2a27d86f664501c84" args="(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, ColourValue *result, int maxEntries=4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#afb9903db920fbed2a27d86f664501c84">Ogre::ScriptTranslator::getColour</a> </td>
          <td>(</td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *&#160;</td>
          <td class="paramname"><em>result</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxEntries</em> = <code>4</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the range of nodes to a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a21fe87fa8b1fedefc9f29759dfb90f8a"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getCompareFunction" ref="a21fe87fa8b1fedefc9f29759dfb90f8a" args="(const AbstractNodePtr &amp;node, CompareFunction *func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a21fe87fa8b1fedefc9f29759dfb90f8a">Ogre::ScriptTranslator::getCompareFunction</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a CompareFunction enum and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="ac861d8b392942f6861d0fd0f01accfe1"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getConstantType" ref="ac861d8b392942f6861d0fd0f01accfe1" args="(AbstractNodeList::const_iterator i, GpuConstantType *op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#ac861d8b392942f6861d0fd0f01accfe1">Ogre::ScriptTranslator::getConstantType</a> </td>
          <td>(</td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> *&#160;</td>
          <td class="paramname"><em>op</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a GpuConstantType enum and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a752b65312b7bac80467cdbd692f77ad2"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getFloat" ref="a752b65312b7bac80467cdbd692f77ad2" args="(const AbstractNodePtr &amp;node, float *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a752b65312b7bac80467cdbd692f77ad2">Ogre::ScriptTranslator::getFloat</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a float and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a253ba6161e3930bf22055ed0d003509b"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getFloats" ref="a253ba6161e3930bf22055ed0d003509b" args="(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, float *vals, int count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a253ba6161e3930bf22055ed0d003509b">Ogre::ScriptTranslator::getFloats</a> </td>
          <td>(</td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>vals</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the range of nodes to an array of floats and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="aa138393408a4e3608133238e5de593f3"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getInt" ref="aa138393408a4e3608133238e5de593f3" args="(const AbstractNodePtr &amp;node, int *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#aa138393408a4e3608133238e5de593f3">Ogre::ScriptTranslator::getInt</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to an integer and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a1d3d88e1a106c5f1ab1c23239cf8d7a6"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getInts" ref="a1d3d88e1a106c5f1ab1c23239cf8d7a6" args="(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, int *vals, int count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a1d3d88e1a106c5f1ab1c23239cf8d7a6">Ogre::ScriptTranslator::getInts</a> </td>
          <td>(</td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>vals</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the range of nodes to an array of ints and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a371c948901e609e013e086bb0882f55e"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getMatrix4" ref="a371c948901e609e013e086bb0882f55e" args="(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, Matrix4 *m)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a371c948901e609e013e086bb0882f55e">Ogre::ScriptTranslator::getMatrix4</a> </td>
          <td>(</td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">AbstractNodeList::const_iterator&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td>
          <td class="paramname"><em>m</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the range of nodes to a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="aec9146bcbd48d445359654b21696e82c"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getNodeAt" ref="aec9146bcbd48d445359654b21696e82c" args="(const AbstractNodeList &amp;nodes, int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static AbstractNodeList::const_iterator <a class="el" href="classOgre_1_1ScriptTranslator.html#aec9146bcbd48d445359654b21696e82c">Ogre::ScriptTranslator::getNodeAt</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gae6612ea0b05ddf514b5478a6c0c0cb09">AbstractNodeList</a> &amp;&#160;</td>
          <td class="paramname"><em>nodes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the node iterator at the given index. </p>

</div>
</div>
<a class="anchor" id="a6895f912f2300d18805f83e6132e413f"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getReal" ref="a6895f912f2300d18805f83e6132e413f" args="(const AbstractNodePtr &amp;node, Real *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a6895f912f2300d18805f83e6132e413f">Ogre::ScriptTranslator::getReal</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a Real and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a7f7e27d5c61bcc62a8568fd94cf694e3"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getSceneBlendFactor" ref="a7f7e27d5c61bcc62a8568fd94cf694e3" args="(const AbstractNodePtr &amp;node, SceneBlendFactor *sbf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a7f7e27d5c61bcc62a8568fd94cf694e3">Ogre::ScriptTranslator::getSceneBlendFactor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">SceneBlendFactor</a> *&#160;</td>
          <td class="paramname"><em>sbf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a SceneBlendFactor enum and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="aef5eaaacc842da6a899290cfd75ea5b2"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getStencilOp" ref="aef5eaaacc842da6a899290cfd75ea5b2" args="(const AbstractNodePtr &amp;node, StencilOperation *op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#aef5eaaacc842da6a899290cfd75ea5b2">Ogre::ScriptTranslator::getStencilOp</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> *&#160;</td>
          <td class="paramname"><em>op</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a StencilOperation enum and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="ae287a72330c6b167880ec9d6b8b8b27f"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getString" ref="ae287a72330c6b167880ec9d6b8b8b27f" args="(const AbstractNodePtr &amp;node, String *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#ae287a72330c6b167880ec9d6b8b8b27f">Ogre::ScriptTranslator::getString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to a string and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a42289a7095cc090b5eb8796276ab85f1"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::getUInt" ref="a42289a7095cc090b5eb8796276ab85f1" args="(const AbstractNodePtr &amp;node, uint32 *result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1ScriptTranslator.html#a42289a7095cc090b5eb8796276ab85f1">Ogre::ScriptTranslator::getUInt</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts the node to an unsigned integer and returns true if successful. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae47299810046b1249fec99bff9965270"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::processNode" ref="ae47299810046b1249fec99bff9965270" args="(ScriptCompiler *compiler, const AbstractNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptTranslator.html#ae47299810046b1249fec99bff9965270">Ogre::ScriptTranslator::processNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *&#160;</td>
          <td class="paramname"><em>compiler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a new translator from the factories and uses it to process the give node. </p>

</div>
</div>
<a class="anchor" id="a7417ef83a35a52457ae7d2f2db07967a"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::translate" ref="a7417ef83a35a52457ae7d2f2db07967a" args="(ScriptCompiler *compiler, const AbstractNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TextureUnitTranslator.html#a7417ef83a35a52457ae7d2f2db07967a">Ogre::TextureUnitTranslator::translate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *&#160;</td>
          <td class="paramname"><em>compiler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This function translates the given node into <a class="el" href="namespaceOgre.html">Ogre</a> resource(s). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">compiler</td><td>The compiler invoking this translator </td></tr>
    <tr><td class="paramname">node</td><td>The current AST node to be translated </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classOgre_1_1ScriptTranslator.html#a6f0fa5113e8c5fecf2da9afe6f624262">Ogre::ScriptTranslator</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab34a8b49aec5765a31ce6276b01f25cb"></a><!-- doxytag: member="Ogre::TextureUnitTranslator::mUnit" ref="ab34a8b49aec5765a31ce6276b01f25cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="classOgre_1_1TextureUnitTranslator.html#ab34a8b49aec5765a31ce6276b01f25cb">Ogre::TextureUnitTranslator::mUnit</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00154">154</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
